# Uses of Enum Class
org.apache.lucene.index.PointValues.Relation

Packages that use PointValues.Relation
Package
Description
org.apache.lucene.geo
Core geo-spatial types and utilities for handling geographical data and spatial operations in Lucene.
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of PointValues.Relation in org.apache.lucene.geo

  Methods in org.apache.lucene.geo that return PointValues.Relation
  Modifier and Type
  Method
  Description
  `PointValues.Relation`
  Component2D.`relate(double minX, double maxX, double minY, double maxY)`
  relates this component2D with a bounding box *
  `static PointValues.Relation`
  GeoUtils.`relate(double minLat, double maxLat, double minLon, double maxLon, double lat, double lon, double distanceSortKey, double axisLat)`
  Compute the relation between the provided box and distance query.

- ## Uses of PointValues.Relation in org.apache.lucene.index

  Methods in org.apache.lucene.index that return PointValues.Relation
  Modifier and Type
  Method
  Description
  `PointValues.Relation`
  CheckIndex.VerifyPointsVisitor.`compare(byte[] minPackedValue, byte[] maxPackedValue)`
  `PointValues.Relation`
  PointValues.IntersectVisitor.`compare(byte[] minPackedValue, byte[] maxPackedValue)`
  Called for non-leaf cells to test how the cell relates to the query, to determine how to further recurse down the tree.
  `static PointValues.Relation`
  PointValues.Relation.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PointValues.Relation[]`
  PointValues.Relation.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.